> For the complete documentation index, see [llms.txt](https://docs.eurostocks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eurostocks.com/lead-collection.md).

# Lead collection

### Introduction <a href="#introduction" id="introduction"></a>

### Overview <a href="#overview" id="overview"></a>

EuroStocks will provide lead details to supplier who send vehicle to EuroStocks with predefined JSON response. Suppliers must have API end point url which will read request send by EuroStocks and respond with Unique Id of new lead.

| Documentation can be incomplete and/or outdated, Contact EuroStocks team by sending an email on <api@eurostocks.com> for any questions regarding API. |
| ----------------------------------------------------------------------------------------------------------------------------------------------------- |

The API is available at this base URL:

<https://services.eurostocks.com>

### Main features <a href="#main_features" id="main_features"></a>

* Lead Details

#### Prerequisites <a href="#prerequisites" id="prerequisites"></a>

Supplier should create API method which can read the request send by EuroStocks. Request will be predefined and send to supplier who has enabled Lead hub and having lead hub end point.

| <p><strong>Limited support for the development process and maintenance:</strong><br>Please note that all examples provided in our documentation are considered as guidelines for your development process but EuroStocks for itself is not able to directly assist with any of your preferred programming languages and/or used scripts.</p> |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |

## Working with Lead Data <a href="#working_with_ad_data" id="working_with_ad_data"></a>

### Overview <a href="#overview_2" id="overview_2"></a>

EuroStocks is having different LeadTypes and LeadSoources available to collect the leads of different types.

Platform Meta Data

| leadType   | Currently, EuroStocks is having only one LeadType : "contact\_me".                                             |
| ---------- | -------------------------------------------------------------------------------------------------------------- |
| leadSource | Currently, Leads can be generated from 3 different source eurostocks.com(eu), dealerwebsite.ext and mobile.de. |

### **Get a lead details**

**Sample Request EuroStocks send**

```json
{ 
   "locationId":1,
   "eurostocksId":192880,
   "received":"2019-11-18T11:41:15.8318806+01:00",
   "leadType":"contact_me",
   "leadSource":"eurostocks.com(eu)",
   "contactName":"Robin",
   "contactCountry":"Netherlands",
   "contactEmail":"robin@eurostocks.com",
   "contactTelephone":"012456798",
   "title":"AGADOS",
   "message":"Hello, i'm from spain. I can pay 8900€ for this car. I can fly to there the next week. Thanks.",
   "url":"https://www.eurostocks.com/nl/vehicle/192880/agados"
}
```

**Sample Response EuroStocks expect from Supplier**

```json
HTTP/1.1 200 OK
						   
{ 
   "leadId"=12345
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eurostocks.com/lead-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
